For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • GETAdvanced search for Assets
      • POSTAdvanced search for Assets
      • POSTBulk copy assets
      • DELBulk delete assets
      • POSTCopy asset
      • POSTCreate an Asset
      • DELDelete an Asset
      • GETFetch child Assets
      • GETGet an Asset
      • GETGet audio for an Asset
      • GETGet the subtitles for an Asset
      • POSTMove asset
      • POSTRequest upload URLs for real-time upload
      • GETSearch for Assets
      • POSTSearch for Assets
      • DELUnversion an Asset
      • PUTUpdate an Asset
      • POSTVersion an Asset

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceAssets

Bulk delete assets

DELETE
https://api.frame.io/v2/batch/assets
DELETE
/v2/batch/assets
1import requests
2
3url = "https://api.frame.io/v2/batch/assets"
4
5payload = { "asset_ids": ["3fa85f64-5717-4562-b3fc-2c963f66afa6", "7c9e6679-7425-40de-944b-e07fc1f90ae7", "1b4e28ba-2fa1-11d2-883f-0016d3cca427"] }
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.delete(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "error": {
3 "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa": "Failed to delete asset due to permission restrictions."
4 }
5}
Delete a list of Assets
Was this page helpful?
Previous

Copy asset

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Delete a list of Assets by their ID's
asset_idslist of stringsRequired

Response

Batch delete success response
errorobject

Errors

401
Unauthorized Error
404
Not Found Error